"use strict";
/**
 * Utility function for omitting properties by key.
 *
 * @packageDocumentation
 * @internal
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.omit = void 0;
/**
 * @internal
 */
// eslint-disable-next-line @typescript-eslint/ban-types
function omit(obj, keys) {
    const result = {};
    for (const key of Object.keys(obj)) {
        if (keys.includes(key))
            continue;
        result[key] = obj[key];
    }
    return result;
}
exports.omit = omit;
//# sourceMappingURL=omit.js.map